Page MenuHomePhabricator

Removing "overflow: hidden" on thumbnail frames has side effects
Closed, ResolvedPublic

Description

"I know of no good reasons why overflow would have to apply to the rest of the frame." https://gerrit.wikimedia.org/r/#/c/282667/, T132306: UI elements of video.js player are hidden by thumbnail frame
The "overflow: hidden" created a block formatting context, which had a visible effect on floating content.

For example see https://de.wikipedia.org/wiki/Unkel#Veranstaltungen. Depending on your screen size, edit that section and remove some of the list items and preview.

Expected result (with overflow: hidden on .thumbinner): The panorama is completely below the right floating image.

Actual result: The floating image overlaps the border of the panorama.

Event Timeline

Schnark created this task.Apr 23 2016, 7:33 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 23 2016, 7:33 AM

Hmm, that's not something you usually think about. Nice catch.. I guess display: table-cell will be needed here... What a shame.

TheDJ claimed this task.Apr 23 2016, 12:44 PM
TheDJ triaged this task as Normal priority.
TheDJ added a comment.Apr 24 2016, 7:59 PM

Hmm, i need display:block, overflow == visible...
Messing with position isn't gonna work here, table-caption compromises margins..., inline-block has side effects as well..

I'm considering setting float:,
It is also possibly to revert and special casing this just for TMH afterall, using Javascript... but meh JS.

I need to remember to fix this in the 1.27 release.

TheDJ added a comment.May 25 2016, 9:20 PM

Right, I'm reverting this (and documenting the feature), and will special case video.js instead...

Change 290807 had a related patch set uploaded (by TheDJ):
Revert "Thumbnails: allow overflow inside thumbnails"

https://gerrit.wikimedia.org/r/290807

Change 290807 merged by jenkins-bot:
Revert "Thumbnails: allow overflow inside thumbnails"

https://gerrit.wikimedia.org/r/290807

Change 291000 had a related patch set uploaded (by Bartosz Dziewoński):
Revert "Thumbnails: allow overflow inside thumbnails"

https://gerrit.wikimedia.org/r/291000

matmarex closed this task as Resolved.May 26 2016, 6:07 PM
matmarex removed a project: Patch-For-Review.
matmarex added a subscriber: matmarex.

Merged in master and backported to 1.27.

Change 291000 merged by jenkins-bot:
Revert "Thumbnails: allow overflow inside thumbnails"

https://gerrit.wikimedia.org/r/291000